function ModuleHeader() {
	// Dependency KEN modules:
	// ken.utils

	// Dependency JSON->DOM modules
	// 'theme_header',
	// 'mk_header'

	// Dependency libraries
	// jQuery

	(function ($) {
		'use strict';

		ken.modules.header = (function() {

			var Public = {
	            calcHeight: calcHeight
	        };


	        var $window = $(window);

			//
	        // calcHeight() method
	        //

	        var header = ken.utils.JSONLookup('theme_header'),
	            vcHeader = ken.utils.JSONLookup('mk_header'),
	            adminbar = 0,
	            totalHeight = 0;

	        function calcHeight() {
	            if(php.hasAdminbar) {
	                if($window.width() > 782) {
	                    adminbar = 32;   
	                } else {
	                    adminbar = 46;
	                }
	            }

	            totalHeight = 
	                adminbar + 
	                (header[0] != undefined ? header[0].params.stickyHeight : 0) +
	                (vcHeader[0] != undefined ? vcHeader[0].params.stickyHeight : 0);

	            return Math.round(totalHeight);
	        }        

	        return Public;

		})();
	})(jQuery); 
}
